catalog
curl --request GET \
--url https://api.askparable.com/api/v2/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/v2/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/v2/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/v2/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"catalogVersion": "<string>",
"contractVersion": "<string>",
"tables": [
{
"catalog": "<string>",
"fields": [
{
"arrowType": "<string>",
"hidden": true,
"name": "<string>",
"nullable": true,
"poorPruning": true,
"scalarRef": "<string>"
}
],
"importedForeignKeys": [
{
"referencedColumns": [
"<string>"
],
"referencedSchema": "<string>",
"referencedTable": "<string>",
"sourceColumns": [
"<string>"
]
}
],
"logicalName": "<string>",
"schemaName": "<string>",
"validationRates": [
{
"column": "<string>",
"rate": "<string>"
}
],
"materialized": true,
"primaryKey": {
"columns": [
"<string>"
]
},
"statsRowCount": 123,
"watermark": "<string>",
"watermarkStale": true
}
],
"tenantSlug": "<string>",
"views": [
{
"fields": [
{
"arrowType": "<string>",
"hidden": true,
"name": "<string>",
"nullable": true,
"poorPruning": true,
"scalarRef": "<string>"
}
],
"logicalName": "<string>",
"schemaName": "<string>"
}
]
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}catalog
The workspace’s semantic catalog, proxied unchanged from query-layer v2.
GET
/
api
/
v2
/
catalog
catalog
curl --request GET \
--url https://api.askparable.com/api/v2/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/v2/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/v2/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/v2/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"catalogVersion": "<string>",
"contractVersion": "<string>",
"tables": [
{
"catalog": "<string>",
"fields": [
{
"arrowType": "<string>",
"hidden": true,
"name": "<string>",
"nullable": true,
"poorPruning": true,
"scalarRef": "<string>"
}
],
"importedForeignKeys": [
{
"referencedColumns": [
"<string>"
],
"referencedSchema": "<string>",
"referencedTable": "<string>",
"sourceColumns": [
"<string>"
]
}
],
"logicalName": "<string>",
"schemaName": "<string>",
"validationRates": [
{
"column": "<string>",
"rate": "<string>"
}
],
"materialized": true,
"primaryKey": {
"columns": [
"<string>"
]
},
"statsRowCount": 123,
"watermark": "<string>",
"watermarkStale": true
}
],
"tenantSlug": "<string>",
"views": [
{
"fields": [
{
"arrowType": "<string>",
"hidden": true,
"name": "<string>",
"nullable": true,
"poorPruning": true,
"scalarRef": "<string>"
}
],
"logicalName": "<string>",
"schemaName": "<string>"
}
]
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
⌘I